package outils;
/**
 * Crée la fonction donnant la force exercée sur l'atome
 */

 public class Force implements Fonction {

    double wl,w0,tau,mass,b;
/**
*Construit l'objet Force, en prenant les paramètres de l'expérience (wl,w0,tau,mass)
*
*@param wl - pulsation du laser
*@param w0 - pulsation de résonnance de l'atome choisi
*@param tau - durée de vie du niveau de l'atome
*@param mass - masse de l'atome
*/

    public Force(double wl, double w0, double tau, double mass){

        this.wl=wl;
        this.w0=w0;
        this.tau=tau;
        this.mass=mass;

    }

/**
*Méthode y appliquée à l'objet de classe Force, donnant la valeur de la force de refroidissement pour une vitesse donnée en fonction des paramètres pris par le constructeur.
*
*@param x - la vitesse de l'atome
*@return la valeur de la force
*/
    public double y(double x){
        double hbar=1.05457168e-34,c=299792458.,F1,F2;

        F1= -(hbar*wl) / (2.*c*tau) / (2.*tau*tau*(wl/c*x+(wl-w0))*(wl/c*x+(wl-w0)) +3./2.);
        F2= +(hbar*wl) / (2.*c*tau) / (2.*tau*tau*(wl/c*x-(wl-w0))*(wl/c*x-(wl-w0)) +3./2.);

        return (F1+F2)/mass;

    }

 }




